## Apache Zeta Components Manual :: Docs For Class ezcBaseConfigurationInitializer

### Base::ezcBaseConfigurationInitializer

### Interface ezcBaseConfigurationInitializer

This class provides the interface that classes need to implement to act as an callback initializer class to work with the delayed initialization mechanism.

Source for this file: /Base/src/interfaces/configuration_initializer.php

Version: | //autogen//

### Method Summary

public static mixed | `configureObject( $object )` Configures the given object, or returns the proper object depending on the given identifier.

### Methods

#### configureObject

static mixed configureObject( string|object $object )

Configures the given object, or returns the proper object depending on the given identifier.

In case a string identifier was given, it should return the associated object, in case an object was given the method should return null.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$object` | string|object |

Documentation generated by phpDocumentor 1.4.3